Ubuntu

Screen stays black after suspend with AMD Fusion APUs and fglrx driver

Reported by Tom Dison on 2011-04-21
246
This bug affects 45 people
Affects Status Importance Assigned to Milestone
Arch Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: fglrx

When I allow Ubuntu to install the ATI driver for hardware acceleration for my AMD E-350 (Fusion APU) the driver works - I get hardware acceleration and smooth video. However, if I suspend the laptop, upon awakening I had a blank screen and no way to continue - I have to power off manually.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6+4ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: wl
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1366x768 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64: AP///////wAGr+wiAAAAAAETAQOAIhN4CsiVnldUkiYPUFQAAAABAQEBAQEBAQEBAQEBAQEBEhtWQlAAJjAgGDQAWMEQAAAYAAAADwAAAAAAAAAAAAAAAAAgAAAA/gBBVU8KICAgICAgICAgAAAA/gBCMTU2WFcwMiBWMiAKAMA=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Wed Apr 20 20:20:48 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.38-8-generic, x86_64: installed
GraphicsCard:
 ATI Technologies Inc Device [1002:9802] (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0520]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110419)
MachineType: Acer Aspire 5253
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=f916e31c-4c11-4ab2-bdeb-a1dbcd665b31 ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/06/2011
dmi.bios.vendor: Acer
dmi.bios.version: V1.05
dmi.board.name: Aspire 5253
dmi.board.vendor: Acer
dmi.board.version: V1.05
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrV1.05:bd01/06/2011:svnAcer:pnAspire5253:pvrV1.05:rvnAcer:rnAspire5253:rvrV1.05:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire 5253
dmi.product.version: V1.05
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.ia32-libs: ia32-libs 20090808ubuntu12
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Tom Dison (fretinator) wrote :
Tom Dison (fretinator) wrote :

Note: The above log info is after deactivating Addition Hardware Driver and going back to open-source driver. If necessary I could re-enable ATI driver, but I'm not sure what to submit at that point. In general, I don't expect a high priority on this bug. I can always downgrade to 10.10 and use the Catalyst Driver from ATI (they currently don't have one for Natty - the kernel is too recent), but for now I will live with the open driver - I can still dual-boot into Windows for Videos/Hulu with HDMI out.

Observer (dbvweb) wrote :

I've got the same problem as well. Downgraded to Maverick and now it is ok. I have mav and natty on two partitions ready to test.

Bryce Harrington (bryce) on 2011-05-03
affects: fglrx-installer (Ubuntu) → linux (Ubuntu)
Brad Figg (brad-figg) on 2011-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
paul candela (devguy) wrote :

I would like to say I'm affected by this bug too. I have an HP DM1z using Ubuntu 11.04 AMD64 with the Catalyst 11.4 install from AMD's website. When closing the lid, the laptop never fully enters sleep, which would be indicated by the fan stopping, and the blue LED on the side blinking. When reopening the lid, the LED backlight is on, but with a blank screen, and a hard reset must be made.

Sleep worked fine with the open source drivers in the 2.6.38 kernel. But there's obviously no VAAPI support with those, and they have poorer power management over the HD 6310 GPU.

paul candela (devguy) wrote :

This was not fixed with Catalyst 11.5.

I confirm that it wasn't fixed in Catalyst 11.5.

Peter Harding (phh-hardnet) wrote :

Same for me. Acer Aspire One 522, C-50, Fusion APU, Catalyst 11.5, Linux XXX 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Peter Harding (phh-hardnet) wrote :

Some possibility it could be related to C6 sleep mode?

http://ubuntuforums.org/showthread.php?p=10695798

In my case (I have MSI Wind U270 with AMD E-350) symptoms are exactly the same as those described in that mentioned thread (http://ubuntuforums.org/showthread.php?p=10695798) but in my laptop there is no option to change sleep mode so I can't check if disabling C6 sleep mode helps.

Confirming that I have the same problem with an HP DM1 3101ea which uses the AMD E-350. Using the software video driver I can suspend and resume but with the catalyst driver it never resumes.

Even with the software driver if I leave it it suspended for a long time then the resume starts but after the unlock screen it gets into an infinite loop trying to redraw which looks like the password prompt box and I have to power shutdown anyway. This is probably an unrelated problem but if anyone can cast any light on it I would be grateful. The BIOS on this machine is very minimal and doesn't seem to have any control over C6 sleep.

Allen Lowe (lallenlowe) wrote :

this issue also affects me on my hp dm1-3025dx also using the fusion e-350. using latest Natty updates, and fglrx installed using jockey.

Daniel Petty (mixmatch) wrote :

Same problem in HP dm1-3025dx...

Stefan Sommer (stefan-nefan) wrote :

With the latest kernel from the ubuntu kernel git repositories (2.9.39rc7) and catalyst 11.5, I got it to suspend and resume a few times. It's very unstable - most times it doesn't suspend as mentioned above. I tried with 'aticonfig --acpi-services=off' but I'm not sure it made a difference. Attached is the kernel log from a successful attempt.

Baybal Ni (nikulinpi-gmail) wrote :

Stefan, can you upload your xorg.conf?

I have an HP DM1z with an E-350. I've had stability problems with it under Linux at first, including occasional hangs while suspending and random hangs when the system was under heavy load. It's been solid for me since I updated the BIOS to version F.05.

Stefan Sommer (stefan-nefan) wrote :

My xorg.conf is attached. I ran 'aticonfig --initial' and I believe it completely replaced the old xorg.conf. That is, the one attached here is create by aticonfig. I have applied the bios update btw.

Tom Dison (fretinator) wrote :

Just for fun, I installed Linux Mint 11 to see if perhaps this was a configuration problem with Ubuntu (for instance, kernel parameters or defaults for ATI Driver or Power Settings).

Nope, the same thing happens with Mint 11 when you install the ATI Driver from the "Hardware Drivers". Thus, it is definitely an ATI Catalyst problem. Funny that this is an AMD cpu/gpu combination, and this is the ATI Linux driver. I would have thought there was a good chance of success for this combination. I guess the Fusion E-350 is just a little too new even for the ATI Linux driver folks. Hopefully this issue will make their radar soon. I imagine Linux driver support isn't that high on their list, but these are such wonderful laptops - a lot of bang for the buck. Unfortunately, as it stands, these Fusion laptops are not good linux laptop, unless you don't need to view videos, or don't mind choppy video.

Who know, maybe some day the open-source driver will be good enough. For now, it really blows on video for these devices. I hate having to run Windows to watch videos. For now, I tend to boot into Windows. I would like to choose Linux instead!

paul candela (devguy) wrote :

Tom, the thing is that the AMD Catalyst drivers allow for proper sleep with Ubuntu Maverick and the 2.6.35 kernel and Xorg 1.9. I'd be interested to hear if someone tries Maverick with the 2.6.38 kernel and Xorg 1.10 with the Catalyst 11.5 and see if it allows sleep on the e350 APU.

As for video playback, with VAAPI support and the tear-free option enabled, the e350 does 1080p videos perfect. Couple that with Adobe looking to release Flash Player 11 with x86_64 support and VAAPI support, and this will be a mean little laptop!

Kevin S (ks20xx) wrote :

Confirmed with Kubuntu 11.04-64bit. Sleep mode causes lock ups.

Tom Dison (fretinator) wrote :

Actually, I installed Maverick and the latest Ati Catalyst driver and it still failed. I have also tried other Distros, still no luck with Catalyst. For now, I will have to live with either no suspend/resume, or sucky video. Both kind of stink on a laptop, so for now I will boot into Windows 7 and keep trying periodically. Since the AMD Fusion Cpu's are very popular these days, I am sure it won't take that long to settle out, and then I can resume my Linux goodness on this laptop. I have a netbook running Ubuntu that I also use, so all is not lost!

Also, I heard there was a major regression in the 2.6.38 kernel and the open-source drivers specifically related to Fusion Apu's. It's possible that at some point the open drivers will mature enough that I can give Catalyst the boot - woot!

Daniel-fay (daniel-fay) wrote :

I am also having this problem with Ubuntu 11.04-64 bit on an HP dm1z and Catalyst 11.5. Trying to sleep or hibernate causes the screen backlight to stay on, and the system to lock up, requiring a hard reset to get out of it.

Frédéric Simon (fred-simon) wrote :

Please try the last catalyst driver, it seems to works better for me.

http://www2.ati.com/drivers/linux/ati-driver-installer-11-6-x86.x86_64.run

Tom Dison (fretinator) wrote :

I downloaded catalyst 11.6, and with 64-bit Natty, still no go, doesn't wake up from sleep. I uninstalled the driver and sleep again works.

I installed 11.6 but sleep still doesn't work.

Frédéric Simon (fred-simon) wrote :

I've upgraded to kernel 2.6.39 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.39-rc4-natty/) and my DM1-3130 sleeps well.

Concerning resume, I have to stop network-manager before suspend to have a consistent wake up.

Gilgha (samy-baiwir) wrote :

Sleep doesn't work for me either. I run the 2.6.38-8 kernel and the 11.6 catalyst drivers.

I've tried to upgrade to 2.6.39 but the 11.6 catalyst drivers did not even work with this kernel.
So how did you do?

I've upgraded my kernel to 2.6.39 and installed Catalyst 11.6 but the drivers didn't work. I found this post: http://www.mindwerks.net/2011/04/ubuntu-11-04-natty-with-fglrx-and-2-6-39 and followed those steps and drivers worked ok with kernel 2.6.39. Unfortunately sleep still causes lock up.

Anatoly Smaznov (mrjavum) wrote :

I'm not using ubuntu, but have the same bug on Arch Linux.
I think this is not fglrx bug - I have no errors about fglrx in logs.
I tried 2.6.39, 3.0-rc6, 3.0-rc7 kernels, but no luck.
With LTS kernel (2.6.32.43) the suspend/resume works stable (series of 10 tries sleep-resume was successful).

Changed in archlinux:
importance: Unknown → Medium
status: Unknown → Confirmed

Yes, I also think that this is not a strict Ubuntu-related problem, but
Ubuntu (and maybe other Linux distros) uses a weak, maybe old linux
driver for handling this AMD CPU-GPU fusion feature incorrectly. I wrote
that Ubuntu should not use this feature (deny to let the computer to go
standby) until this driver is fixed. It is better not to use sleep mode
than after every sleep you need to switch off your computer...

19/07/2011 11:51 keltezéssel, Anatoly Smaznov írta:
> I'm not using ubuntu, but have the same bug on Arch Linux.
> I think this is not fglrx bug - I have no errors about fglrx in logs.
> I tried 2.6.39, 3.0-rc6, 3.0-rc7 kernels, but no luck.
> With LTS kernel (2.6.32.43) the suspend/resume works stable (series of 10 tries sleep-resume was successful).
>
> ** Bug watch added: Linux Kernel Bug Tracker #38982
> http://bugzilla.kernel.org/show_bug.cgi?id=38982
>
> ** Also affects: archlinux via
> http://bugzilla.kernel.org/show_bug.cgi?id=38982
> Importance: Unknown
> Status: Unknown
>

Also this configuration shows the same bug: Intel Core i3-370m, radeon HD 5470, Ubuntu Natty 64 bit, kernel 2.6.38-11, catalyst 11.6. It's not just an AMD Fusion issue.

Frédéric Simon (fred-simon) wrote :

A new hope for DM1Z.

Please read the following post : http://agentoss.wordpress.com/2011/07/15/hp-dm1-3130-and-mageia-1-linux/#more-66

In few words :
- Install ATI's driver
- Create the file : nano /etc/pm/config.d/hpdm1
- Copy the following line : SUSPEND_MODULES="hp_accel lis3lv02d"

I've tried several times and it works for me.

Yesterday I updated BIOS of my MSI Wind U270 and I didn't have any problems since. Now my computer can normally suspend and then resume, so I think in my case problems were caused by some BIOS bug.

woftor (wdeurholt) wrote :

I can confirm that the solution of Frédéric Simon is working with both the 11.3 (standard prop drivers with 11.04 right now) and the manual installed 11.7 drivers for Suspend.

I have Natty 64 bit on a HP Pavillion dm1-3125 (AMD E-350 APU).

THANK YOU!

woftor (wdeurholt) wrote :

UPDATE:

Suspend AND Hibernate are working with 11.7 and the solution of Frédéric Simon!
Hibernate was not working with the open-source drivers.

Nice!

S. D. Salyer (sds-8) wrote :

Hello,

I have an MSI X370 notebook with the E-350 chip. I'm running Linux Mint 11.4 64-bit with Catalyst 11.7 and kernel 2.6.38-8-generic #42.

I have this bug where the notebook has no video / is unresponsive after waking from suspend since installing the ATI drivers. I've tried multiple fixes to no avail over the past few days. I would love to see this bug resolved, so if anyone has any suggestions, I would gladly entertain them.

I'm going to try a BIOS update this evening and see if that fixes it since someone else with an MSI device had success. If not, I'll be removing these drivers until there's confirmation of a true solution.

Tom Dison (fretinator) wrote :

FYI - none of the above solutions (including the bios trick to see what failed) have worked. I also updated to lateat bios with no change.

S. D. Salyer (sds-8) wrote :

I'm pleased to report that a BIOS update did fix the problem for my MSI X370:

Description: Update VBIOS from 13C06001.102 to 13C06001.109
Version: 1.0D
Type: AMI BIOS
Release Date: 2011-07-25

http://www.msi.com/product/nb/X370.html#?div=BIOS

I'd be glad to provide any additional information if necessary.

Alexandru Stoian (lgstoian) wrote :

I'm also afected by this bug on an asus 1215b with the AMD c-50 apu.

LifeBringer (ra-thesungod) wrote :

Same problem Catalyst 11.8, A8-3500 APU, running from an SSD.

Tom Dison (fretinator) wrote :

Update: With Onereic, suspend and resume now works with this laptop and the ATI closed driver. the only catch is when I resume I have to hit the CTL-ALT-F7 combination a few times before the screen will resume. i can live with that for now. In this instance, I manually installed the 11.8 driver from the ATI website. Unfortunately, sound no longer works with flash video (which is what I am after, good, full-screen video without booting into windows). I'm almost there!

Tom Dison (fretinator) wrote :

One more update: I was able to manually install flash 11.0 from Adobe website, and manually copy it to plug-in directory. flash is not yet working in Chrome.

So... I know have fully-accelerated video on my AMD E-350 fusion-based laptop and suspend is now working (as long as I hit the Ctl-alt-F7 combo a few times).

Others of you may want to try the Onereic latest build with the proprietary driver from the AMD site (I used 11.8). When I tried the Additional Driver that comes with Onereic Beta, the laptop would not resume, but I don't know if I tried the Ctl-Alt-F7 combination. However, this time when I resumed with the 11.8 driver, I could tell the screen was "trying" to come back, which caused me to use the combination in the first place.Hopefully no kernel updates will take it back out, but I will update this if it does.

Tom Dison (fretinator) wrote :

One little clarification to above. It is not enough to just hit the Ctl-Alt-F7 combination. You actually have to go to a different virtual terminal and come back - e..g., Ctl-Alt-F5 followed by Ctl-Alt-F7.

And again, this combination of switching VT's only started working with Onereic Beta 2 and the 3rd-party 11.8 Catalyst driver from AMD.

Tom Dison (fretinator) wrote :

Crap, false alarm. It turns out the catalyst driver wasn't loading, and it falling back to non-accelerated video. So, I'm back to square one. On a good note, the open source driver does seem to have improved some in onereic. Smaller videos are smooth, but full-screen videos are pretty laggy, not watchable.

Sorry for the false info.

crepi (crepi22) wrote :

On a MSI Wind U270, as for Salvers's X370, a bios update finally solved the problem

BIOS Information
        Vendor: American Megatrends Inc.
        Version: E1245AMS.10J
        Release Date: 06/24/2011

(on a Ubuntu 11.10 with same problem as 11.04, previous bios I tried was version 10G).

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
Tom Dison (fretinator) wrote :

Joseph, I did what you suggested. I downloaded the 3.10RC10 kernel from you link, and installed the 3 debs. After rebooting into this kernel, I verified that suspend/resume still worked. I then installed the Ati driver Additional Drivers, and rebooted. I tried suspend, and it did not resume, I had to hold the power button to shut off the laptop.

For the record, this was with Ubuntu 11.10, fully updated as of 10/21/2011.

Unfortunately, when I deactivated the ATI driver via Jockey, and rebooted, Unity refused to start, leaving me in just a full-screen Nautilus. I was going to uninstall the 3.1RC8 kernel debs and go back to the official Ubuntu kernel. Since Unity wouldn't start (even if I booted into the previous kernel), I just bit the bullet and reinstalled 11.10

tags: removed: needs-upstream-testing
tags: added: oneiric

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.20

Tom,

And does the issue still exist after a fresh install?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
importance: Undecided → Medium
Tom Dison (fretinator) wrote :

Joseph, yes.

Edgar Cherkasov (edgar2705) wrote :

I had same bug, but after instaling catalyst 11.11 and turn off C6 mode in bios I have working hibernate and suspend.
My machine: ASUS eee pc 1015bx with C-50 APU

I use Samsung NP305U1A . It's no way to turn off C6 mode in bios.
Suspend not works.

Tim Capelle (timcapelle) wrote :

I am using the acer 5253-BZ602 with E-350 APU, with most up to date ATI video drivers and bios. There is no C6 mode in my bios. Computer sleeps but never wakes up. Pressing power button once does not shut down. Ctrl+Alt+Del does nothing, neither does Ctrl+Alt+F1/F7. Shut down DOES work with the "magic keys" Alt+SysRq+REISUB, which induces a graceful shutdown.

I hope this gets fixed. I know it is not a Ubuntu-centric bug. It occurs in ubuntu, slackware, linux-mint with the 3.0.1 kernel. I have not had this pc successfully wake from sleep ever with linux (About 6 months). For now I set it to never suspend and shutdown/do nothing when I close the lid....

bruno (brunob) wrote :

I also have this bug here on an Acer AO722 (C-50) with Natty or Oneric. However, suspend/wake works well with catalyst on Maverick, but this release expires soon... I didn't try with lucid yet.

Same issue with a HP dm1z, up to date Ubuntu64 11.10, Catalyst 11.11: goes to sleep, but never comes back. Had Frédéric Simon trick already (needed for the open source drivers).

Open source ati drivers sleep fine.

Same issue with a Toshiba NB550D, both on Oneiric and Precise beta. Oneiric install is i386, precise is x86_64. Trying the suspend resume debugging gives the following:

[ 2.096784] Magic number: 0:6:740
[ 2.096900] hash matches /build/buildd/linux-3.2.0/drivers/base/power/main.c:600
[ 2.097219] rtc_cmos 00:04: setting system clock to 1976-02-10 15:42:28 UTC (192814948)

Unfortunately I have no PCI device with 0:6 id. :(

Seems I found a workaround - http://www.linuxquestions.org/questions/linux-hardware-18/how-does-hibernate-affect-my-suspend-resume-820417/ - adding acpi_sleep=s3_bios to GRUB_CMDLINE_LINUX_DEFAULT in /etc/grub/default seems to have fixed the resume, at least for short term suspend.

Further testing - my netbook now resumes if it hasn't entered a "second level" of suspension. In the "light" suspend mode, the laptop wakes up when I press a key. In the "deep sleep" suspend mode, the laptop doesn't wake up on a key press, only when I press the power button. In the second situation, the wifi led turns on, the hdd led flashes, and the video stays off. This happens both with the open source driver and the binary fglrx driver (with acpi_sleep=s3_bios).
When the laptop has entered this "deep sleep" mode, sometimes even a poweroff isn't enough. I need to take out the battery and put it back, or it won't power on, giving the same symptoms - wifi led on, hdd led flashes once. Again, this happens with both open source and binary amd/ati drivers.
In windows suspend/resume works, and after long period suspended the laptop hibernates. Maybe there is some trigger to make it hibernate (which I can't find in the BIOS) that is hanging when it is trying to call some function we don't have under linux?

Correction - Now I've been able to resume from "deep sleep" a few times, and I've had a hang on resume when resuming from a "light" suspend. The only difference is that when it hangs after a "deep sleep", I need to take the battery out to be able to use the netbook again, as it will stay in the hang (wifi and on led on) when I power it on otherwise.
I don't know what else to do to trace this. "acpi_sleep=s3_bios" fixes the resume most times, but there are still some ocasions (I'd say one in ten) where it will hang.
Any ideas?

Same for me. Acer Aspire One 522, C-50, Fusion APU and Ubuntu 12.04 LTE 64bit

Jens007 (jkauth) wrote :

Same for me. Acer eb1021, Ubuntu 12.04 LTE 32bit. Fusion e-450.

summary: - Video does not return after sleep with AMD E-350 Fusion APU and ATI
- closed driver (Natty Narwal Beta)
+ Screen stays black after suspend with AMD Fusion APUs and fglrx driver
Gerhard Burger (burger.ga) wrote :

The same for me with a Samsung NP305U1A-A02NL (E-350), adding acpi_sleep does not make much of a difference. Also no c6 mode option in the bios.

Observer (dbvweb) wrote :

Same exact situation as Jose #58 for me. Asus 1015b (latest bios), Ubuntu 12.04pae LTE 32bit, Fusion c50

Trying the "acpi_sleep=s3_bios" option.
It allows me to resume from sleep quite consistently, but powering down seem to cause the reboot to hand after bios; I need to take out the battery before I can power up after that.

Will test a few more times to be sure.

bruno (brunob) wrote :

On an Acer Open AO722, the "acpi_sleep=s3_bios" option doesn't help.

However, I can force the laptop to resume if I suspend manually from a tty. It's not an acceptable workaround, but with some help it should be possible to get one. Actually, I'm on Mint Debian but I'm pretty sure that the trick (adapted) should work on ubuntu flavours. Here is what I do In details:

1) CTRL-ALT-F1 and login on this text console.
2) sudo /usr/sbin/pm-suspend
3) press a key to wake the laptop => see nothing but...
4) sudo vbetool post => I enter this command "in blind" and then the backlight appears!
5) with one or two "enter" keystroke, I get the command prompt!

At this point, I can't return to X (CTRL-ALT_F7). If I do, I will have to reboot the laptop (complete freeze). However, if I do another suspend-wake-vbetool in the text console I can return to X after. No idea why I have to do it twice, but it works. The funny thing is that if I suspend the laptop from X at this point, it works but I get a corrupted display at resume and have to restart X. This may be another issue. But hey, there is hope!!!

I had the idea to add the "vbetool post" command in a script called in the wake process. I did it in /usr/lib/pm-utils/sleep.d/000kernel-change because it seems to be the last script called. It works! No need to run the step 4 in blind anymore! However, I still have to suspend from a tty, do it twice and by hand since I don't know how the apply the power management settings for a tty (close the lid or suspend button do nothing here).

Clearly, the laptop can sleep and resume. Does anybody have a clue to improve the workaround? Of course, I would like to suspend from X. But if I have to do it in a tty, if would be nice to just close the lid and do it only one time.

bruno (brunob) wrote :

See here for new developpements on my trick.

http://ubuntuforums.org/showpost.php?p=12107337&postcount=176

Basically, I can get a working suspend/wake (from X) until the next reboot after two manual suspend/wake/vbetool from a tty. If we could simplify the manual part (requires entering commands in blind), it would be an acceptable workaround.

Gerhard Burger (burger.ga) wrote :

tested it using kernel 3.5: suspend using the power button and then choosing suspend worked fine in most cases and was very fast (1 second to suspend, 1 second waking up). Suspending by closing the lid did not work in general, and would give the behavior as described above. It also took a lot longer (10 seconds to suspend).
So there is improvement but it still doesn't work...

tags: added: kernel-bug-exists-upstream
tags: removed: kernel-request-3.0.0-12.20
Gerhard Burger (burger.ga) wrote :

Correction, I did not update fglrx to work with 3.5, after I installed the driver 12.6 with 3.5 support, also the regular suspend did not wake up.

Artem (artem161) on 2012-08-26
Changed in linux (Ubuntu):
assignee: nobody → Otelo (artem161)
assignee: Otelo (artem161) → nobody
Gerhard Burger (burger.ga) wrote :

Can someone please test the 3.6 kernel with a supported fglrx? Supposedly in 3.6 there are some new suspend features.

tags: added: needs-upstream-testing precise
removed: kernel-bug-exists-upstream

Same issue on an ASUS 1015BX, on Mageia 2 (kernel 3.3.8). The acpi_sleep method didn't change anything, setting C6 off didn't change anything, and the PC is already running the latest available EFI.

Mr Jingle (mrjingle) wrote :

I can confirm that both standby and hibernate are working on aspire one 522, using kernel 3.5.0-17-generic and catalyst 12.4 on ubuntu 12.10 64bit.

Gerhard Burger (burger.ga) wrote :

Are you sure you are using the fglrx drivers? Can you post the output of fglrxinfo?

I am asking because I already tested a 3.5 kernel with the 12.4 drivers and it didn't work...

Also I tried to install 12.10 (32 bit) which stopped working after I installed fglrx, see also this bug: #1068661

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
Gerhard Burger (burger.ga) wrote :

Since this is still an issue on supported series (precise), I opened bug #1082851, which will take over from this bug. If you are still experiencing this issue, please confirm it there.

Gerhard Burger (burger.ga) wrote :

This issue is solved upstream, see bug #1082851 for more details.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.